;==================================  ====
;;PROGRAMME DE LANCEMENT AUTOMATIQUE  ACAD ***
;==================================  ====
;s(xload "acadapp.exe")
;(if (member "jcl.arx" (arx))(arxunload "jcl.arx"))
;(arxload "c:/autocad14/travail/jcl.arx")
;---------------------------------------------------------------------------------
(setq DirLra (getenv "SITIG_32") DirPms (getenv "PMS3D"))
(if (NOT DirLra) (setq DirLra "c:\\Sitig_32\\"))
(if (NOT DirPms) (setq DirPms "c:\\PMS3D\\"))
(setq DllPms (strcat DirPms "dll\\") DllDebPms (strcat DirPms "dll_deb\\"))
(setq DllLra (strcat DirLra "dll\\") DllDebLra (strcat DirLra "dll_deb\\"))

(setq X64 nil)
(defun Maj64Bits( / tmp$)
  (if (vl-string-search "x64" (getvar "PLATFORM"))
    (setq X64 T)
  )
)
(Maj64Bits)
(defun C:pms()
(C:upms)
(print "\n PMS Release\n ")
 (setq prog (strcat DllPms _Pms3D))
(arxload prog)
)					
(defun C:pmsd()
(C:upms)
(print "\n PMS DEBUG\n ")
 (setq prog (strcat DllDebPms _Pms3D))
(arxload prog)
)					
(defun C:upms()
  (if (member _Pms3D (arx))
(arxunload _Pms3D)
  )
)					
;---------------------------------------------------------------------------------
(defun C:dwin()
(C:udwin)
(print "\n DWIN Release\n ")
 (setq prog (strcat DllLra _DwinArx))
(arxload prog)
)					
(defun C:dwind()
(C:udwin)
(print "\n DWIN DEBUG\n ")
 (setq prog (strcat DllDebLra _DwinArx))
(arxload prog)
)					
(defun C:udwin()
  (if (member _DwinArx (arx))
(arxunload _DwinArx)
  )
)					
;**************************************************
(setq acad_version (atof (getvar "acadver")))
;Version 2010=18.0
(setq _jclarx  "jcl2010.arx" _DwinArx "dwin2010.arx" _jclLisp "jcl_lisp.vlx" _Pms3D "pms3d2010.arx")
(if (< acad_version 18.0) ;V2007
	  (setq _jclarx  "jcl2007.arx" _DwinArx "dwin2007.arx" _Pms3D "pms3d2007.arx"))
(if (< acad_version 17.0) ;V2007
	  (setq _jclarx  "jcl2004.arx" _DwinArx "dwin2004.arx"))
(if (< acad_version 16.0) ;V2000-2006
	   (setq	_jclarx	 "jcl2000.arx"	_DwinArx "dwin.arx"))
(if (< acad_version 15.0) ;
	   (setq	_jclarx	 "jcl.arx"	_DwinArx "dwin.arx" _jclLisp "jcl_lisp.arx"))
(if X64
	(progn
		(setq _jclarx  "jcl2010x64.arx" _DwinArx "dwin2010x64.arx" _Pms3D "pms3d2010x64.arx")
		(if (< acad_version 18.0) ;V2007
			(setq _jclarx  "jcl2007x64.arx" _DwinArx "dwin2007x64.arx" _Pms3D "pms3d2007x64.arx"))
	)
)
(defun s::startup ()
  (if (not AcadAxisLoaded)
    (AcadLspStartup)
  )
)
(defun AcadLspStartup ()
  (setq AcadAxisLoaded 1)
  (setq acad_version (atof (getvar "acadver")))
  (setq nomposte (getenv "nom_poste"))
  (if (not nomposte)
    (setq nomposte "")
  )
  (if (> (strlen nomposte) 1)
    (prompt (strcat "\n***Nom du poste = " nomposte))
  )
  (if (not (member _jclarx (arx)))
    (arxload _jclarx)
  )
  (c:xll)
; (startup)
  (if (AND (not (member _DwinArx (arx))))
    (arxload _DwinArx))
  (prin1)
  (setq *error* *errordef*)
)

(defun *errordef* (n)
  (prompt "erreure ")
  (s_keybevent 27)
  (exit)
)

(defun lxload (prog)
  (if (member prog (arx))
    (arxunload prog)
  )
  (setq prog (strcat DllLra prog))
  (if (eq "failed" (arxload prog "failed"))
    (ai_alert (strcat "Impossible de charger " prog))
    (progn (prompt (strcat "// Chargement de : " prog "... "))
	   (princ "charg.")
    )
  )
  (prin1)
)

(defun lxloadd (prog)
  (if (member prog (arx))
    (arxunload prog)
  )
  (setq prog (strcat DllDebLra prog))
  (if (eq "failed" (arxload prog "failed"))
    (ai_alert (strcat "Impossible de charger " prog))
    (progn (prompt (strcat "// Chargement de : " prog "... "))
	   (princ "charg.")
    )
  )
  (prin1)
)

(defun c:xl ()
  (lxload _jclarx)
  (prin1)
)

(defun c:xld ()
  (lxloadd _jclarx)
  (prin1)
)

(defun c:xll ()
  (load _jclLisp)
  (startup)
  (setq *error* *errordef*)
  (prin1)
)

;;;--- Commande c:XNL de Dechargement JCL.ARX ---
(defun lxnload (prog)
  (if (member prog (arx))
    (progn (prompt (strcat "\n//** Dchargement de : " prog "... "))
	   (arxunload prog)
    )
  )
  (princ "dcharg.")
  (prin1)
)

(defun c:xnl ()
  (lxnload _jclarx)
  (prin1)
)

(defun mdlgnT (cpt / lib num num0 nom)
 (vide_command)
 (princ "\n\n")
 (setq nom modlgn)
 ;; sto mode actuel
					;--- Init/Reinit Variables ---
 (if (or (not cpt) (/= (type cpt) 'INT) (not (member cpt '(-1 1 2 4 8 16))))
  (setq cpt 2))
 ;; init mode courant ;;
 (setq modlgn cpt)
 (setq	lib (cond ((= (logand modlgn 16) 16) "MAILLAGE dans Contour")
		 ((= (logand modlgn 9) 9) "CONTOUR_3DPOLY")
		 ((= (logand modlgn 8) 8) "CONTOUR_2DPOLY")
		 ((= (logand modlgn 4) 4) "3DFACE")
		 ((= (logand modlgn 3) 3) "POLYLIGNE_3D")
		 (t "SITIGPOLYPOLYLIGNE_2D.")))
 (princ (strcat (if (equal cpt 1)
		  "Mode de Construction Contours et Polylignes = "
		  (strcat (if (or (equal cpt 16) (and (equal cpt 8) liproj))
			   "\n== "
			   "")
			  "Mode d'utilisation de la table des Tlignes = "))
		 lib
		 "."))			;--- Init des menus en mode selection tlignes ---
 (inipag "L")
 (setq	modchg 2
	modnul -1)
 ;--- Message d'alerte sur paramtres de maillage ---
 (if (and (equal cpt 16) (= (logand modlgn 16) 16))
  (progn (s_crprintf)
	  (princ "!! Pour modifier les paramtres de Maillage ==> Commande VMMOD !!")))
 (prin1)
)

;****** SPECIFIQUE BRISCAD **********************************
;****** En plus de  ACAD.LSP qui est copier AVANT *********** 
; ***** SPECIFIQUE BRISCAD **********************************
(setq Briscad t)
(setq acad_version (atof (getvar "acadver")))
;**************************************************

(defun c:xll ()
  (load_jclLisp)
  (startup)
  (setq *error* *errordef*)
  (prin1)
)
(defun load_jclLisp()
  (setq nomposte (getenv "COMPUTERNAME"))
	(if (or (=  nomposte "JCL_XPPRO")(=  nomposte "JCL_W7"))
		(load_jclLisp_Res)
		(load "JCL_BRX.LSP")
  	)
;;Charge les boites de dialogue
	(if (> handle_dialog 0)
 		(print "\nles dialogues sont charges")
 		(progn
			(setq handle_dialog (load_dialog "Jcl_lisp.dcl"))
			(print (strcat "\n Charge les dialogues No:" (itoa handle_dialog))))
	)
;(print "$*$*$* all DCL loaded")
)

(defun load_jclLisp_Res()
(load "N:\\DEVSCP\\lisp\\GMIN.LSP")
(load "N:\\DEVSCP\\lisp\\GUTIL.LSP")
(load "N:\\DEVSCP\\lisp\\GCAD.LSP")
(load "N:\\DEVSCP\\lisp\\GSET.LSP")
(load "N:\\DEVSCP\\lisp\\GSSP.LSP")
(load "N:\\DEVSCP\\lisp\\GTEC.LSP")
(load "N:\\DEVSCP\\lisp\\GTIC.LSP")
(load "N:\\DEVSCP\\lisp\\GTIL.LSP")
(load "N:\\DEVSCP\\lisp\\GTIS.LSP")
(load "N:\\DEVSCP\\lisp\\GTIT.LSP")
(load "N:\\DEVSCP\\lisp\\GTIM.LSP")
(load "N:\\DEVSCP\\lisp\\GTIQ.LSP")
(load "N:\\DEVSCP\\lisp\\GTIW.LSP")
(load "N:\\DEVSCP\\lisp\\GTIX.LSP")
(load "N:\\DEVSCP\\lisp\\GMAT.LSP")
(load "N:\\DEVSCP\\lisp\\GACM.LSP")
(load "N:\\DEVSCP\\lisp\\GARP.LSP")
(load "N:\\DEVSCP\\lisp\\GBOX.LSP")
(load "N:\\DEVSCP\\lisp\\GCAL.LSP")
(load "N:\\DEVSCP\\lisp\\GCOT.LSP")
(load "N:\\DEVSCP\\lisp\\GCUB.LSP")
(load "N:\\DEVSCP\\lisp\\GDAT.LSP")
(load "N:\\DEVSCP\\lisp\\GDEF.LSP")
(load "N:\\DEVSCP\\lisp\\GDIM.LSP")
(load "N:\\DEVSCP\\lisp\\GESC.LSP")
(load "N:\\DEVSCP\\lisp\\GFAC.LSP")
(load "N:\\DEVSCP\\lisp\\GFAS.LSP")
(load "N:\\DEVSCP\\lisp\\GFSY.LSP")
(load "N:\\DEVSCP\\lisp\\GLAY.LSP")
(load "N:\\DEVSCP\\lisp\\GMEP.LSP")
(load "N:\\DEVSCP\\lisp\\GNIP.LSP")
(load "N:\\DEVSCP\\lisp\\GNIS.LSP")
(load "N:\\DEVSCP\\lisp\\GNIT.LSP")
(load "N:\\DEVSCP\\lisp\\GNIV.LSP")
(load "N:\\DEVSCP\\lisp\\GOUI.LSP")
(load "N:\\DEVSCP\\lisp\\GPLAN.LSP")
(load "N:\\DEVSCP\\lisp\\GPLN.LSP")
(load "N:\\DEVSCP\\lisp\\GPOL.LSP")
(load "N:\\DEVSCP\\lisp\\GREP.LSP")
(load "N:\\DEVSCP\\lisp\\GSAV.LSP")
(load "N:\\DEVSCP\\lisp\\GSEM.LSP")
(load "N:\\DEVSCP\\lisp\\GSSF.LSP")
(load "N:\\DEVSCP\\lisp\\GSST.LSP")
(load "N:\\DEVSCP\\lisp\\GSYM.LSP")
(load "N:\\DEVSCP\\lisp\\GTAB.LSP")
(load "N:\\DEVSCP\\lisp\\GTLN.LSP")
(load "N:\\DEVSCP\\lisp\\GTOP.LSP")
(load "N:\\DEVSCP\\lisp\\GTRA.LSP")
(load "N:\\DEVSCP\\lisp\\GTRD.LSP")
(load "N:\\DEVSCP\\lisp\\GTRE.LSP")
(load "N:\\DEVSCP\\lisp\\GTRP.LSP")
(load "N:\\DEVSCP\\lisp\\GTRS.LSP")
(load "N:\\DEVSCP\\lisp\\GTRT.LSP")
(load "N:\\DEVSCP\\lisp\\GTRX.LSP")
(load "N:\\DEVSCP\\lisp\\GTTR.LSP")
(load "N:\\DEVSCP\\lisp\\GTXT.LSP")
(load "N:\\DEVSCP\\lisp\\GTYP.LSP")
(load "N:\\DEVSCP\\lisp\\GTYW.LSP")
(load "N:\\DEVSCP\\lisp\\GVAL.LSP")
(load "N:\\DEVSCP\\lisp\\GVEC.LSP")
(load "N:\\DEVSCP\\lisp\\GVTR.LSP")
(load "N:\\DEVSCP\\lisp\\GXDA.LSP")
(load "N:\\DEVSCP\\lisp\\GXDAT.LSP")
(load "N:\\DEVSCP\\lisp\\GXYZ.LSP")
(load "N:\\DEVSCP\\lisp\\GZON.LSP")
(load "N:\\DEVSCP\\lisp\\MFIC.LSP")
(load "N:\\DEVSCP\\lisp\\SUBSFT.LSP")
(load "N:\\DEVSCP\\lisp\\GSSX.LSP")
(load "N:\\DEVSCP\\lisp\\filter.LSP")
(load "N:\\DEVSCP\\lisp\\XLIST.LSP")
(load "N:\\DEVSCP\\lisp\\SCPMNU.LSP")
(load "N:\\DEVSCP\\lisp\\divers.LSP")
(load "N:\\DEVSCP\\lisp\\TABLEAUREM.LSP")
(load "N:\\DEVSCP\\lisp\\EXport.LSP")
(print "$*$*$* all loaded FROM Serveur")
)

;Version 12=18.0
(setq _jclarx  "jcl_v12.brx" _DwinArx "dwin_V12.brx" _jclLisp "jcl_BRX.LSP" _Pms3D "pms3d_V12.brx")
(if (< acad_version 18.0) ;V10
	  (setq _jclarx  "jcl_V10.brx" _DwinArx "dwin_V10.brx" _Pms3D "pms3d_V10.brx"))
(if X64
	(progn
		(setq _jclarx  "jcl_v12x64.brx" _DwinArx "dwin_V12x64.brx" _Pms3D "pms3d_V12x64.brx")
		(if (< acad_version 18.0) ;V2007
			(setq _jclarx  "jcl2007x64.brx" _DwinArx "dwin2007x64.brx" _Pms3D "pms3d2007x64.brx"))
	)
)

(if (not AcadAxisLoaded)
  (AcadLspStartup)
)
